#include <stdbool.h>

#define CTRLS       42  // Number of controllers
#define BUTTONS     32  // Number of buttons
#define A_INPUTS    6   // Number of buttons

#define ADC_CHANEL  0

// Positions in controllers array
#define ENC_CTRL    6   
#define ENC_SW_CTRL 7
#define JOG_CTRL    8

void setAdress(char adr);

void procesAnalogInputs(char chanel);

void getButtons();

void sendButtons();

void procesEncoder();

void procesJogWheel();


char a_values[A_INPUTS] = {0};

// Actual buttons values
bool buttons[BUTTONS] = {1};

// Last measured buttons values
bool b_values[BUTTONS] = {1};

bool enc_sw = 1;


// Array to keep controllers numbers
char controllers[CTRLS] = {
    
    // Analog inputs
    1,2,3,4,5,6, 
    
    //Encoder direction / Switch
    7,8, 
    
    // Jog Wheel
    9, 
    
    // Buttons
    10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,
    25,26,
    
    // Buttons with LEDs
    27, 
    28, 
    29,30,31,32,33,34,35,36,37,38,39,
    40,41,42
};


